Subject: Re: Utility to dereference Windows shortcuts?
From: "Rob" <[email-masked]>
To: <[email-masked]>
Cc: "Tom Cyglist" <[email-masked]>
Date: Tue, 12 Aug 2003 15:21:45 -0400

> > I understand that Windows shortcuts and symlinks are different and the
> > reasons why they are different. However, I want to be able to process
> > files pointed to by Windows shortcuts using Cygwin utilities. In order
> > to be able to do this, I need a utility that will take a Windows
> > shortcut name, xxx.lnk, and return either a Cygwin (preferred) or
> > Windows path to the target of the shortcut. I could then do something
> > like:
> >
> > cyg_utility `shortcut_deref win_shortcut.lnk`
> >
> > Does this utility exist? If not, does anyone have sufficient information
> > on the Windows shortcut structure to allow me to write one?
> >
> > Thanks.
>
> Take a look at the source of mkshortcut in the cygutils package.  If you
> do write a "readshortcut" program, please consider submitting it to Chuck
> Wilson for inclusion into the cygutils package (as a complement to
> mkshortcut).
> Igor
> -- 

I'm working on this.  The functionality is pretty much done and working, in
addition to cygutils integration.  Now I just have to make it presentable.

This will either be done in a couple days, or in a couple of weeks (getting
married this weekend).

If you want something basic that you can use in the meanwhile, I can post a
binary somewhere.

Rob Siklos.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/